Ubuntu One sync is broken, and no informative status can be found

Bug #1282759 reported by Søren Bredlund Caspersen on 2014-02-20
142
This bug affects 29 people
Affects Status Importance Assigned to Milestone
Ubuntu One Client
Undecided
Unassigned
Ubuntu One Filesync
Undecided
Unassigned
Arch Linux
New
Undecided
Unassigned

Bug Description

Ubuntu One syncin isn't working for me right now, on any of my machines. I suspect a server-side issue.
The Ubuntu One Service Status page isn't being very helpfull...
https://wiki.ubuntu.com/UbuntuOne/Status

My syncdaemon.log is filling over with lines like these:

2014-02-20 20:44:44,882 - ubuntuone.SyncDaemon.ActionQueue - INFO - Connection started to host fs-2.one.ubuntu.com, port 443.
2014-02-20 20:44:44,977 - ubuntuone.SyncDaemon.ActionQueue - INFO - Connection made.
2014-02-20 20:44:44,978 - ubuntuone.SyncDaemon.StorageClient - INFO - Connection made.
2014-02-20 20:44:45,297 - ubuntuone.SyncDaemon.ActionQueue - INFO - The request 'protocol_version' finished OK.
2014-02-20 20:44:45,479 - ubuntuone.SyncDaemon.ActionQueue - INFO - The request 'caps_raising_if_not_accepted' finished OK.
2014-02-20 20:44:45,695 - ubuntuone.SyncDaemon.ActionQueue - INFO - The request 'caps_raising_if_not_accepted' finished OK.
2014-02-20 20:44:45,860 - ubuntuone.SyncDaemon.ActionQueue - INFO - The request 'oauth_authenticate' failed with the error: TRY_AGAIN and was handled with the event: SYS_SERVER_ERROR
2014-02-20 20:44:45,862 - ubuntuone.SyncDaemon.StorageClient - INFO - Connection lost, reason: [Failure instance: Traceback (failure with no frames): <class 'twisted.internet.error.ConnectionLost'>: Connection to the other side was lost in a non-clean fashion: Connection lost.
].
2014-02-20 20:44:45,865 - ubuntuone.SyncDaemon.ActionQueue - WARNING - Connection lost: Connection was closed cleanly.
2014-02-20 20:45:01,910 - ubuntuone.SyncDaemon.ActionQueue - INFO - Connection started to host fs-2.one.ubuntu.com, port 443.
2014-02-20 20:45:01,996 - ubuntuone.SyncDaemon.ActionQueue - INFO - Connection made.
2014-02-20 20:45:01,997 - ubuntuone.SyncDaemon.StorageClient - INFO - Connection made.
2014-02-20 20:45:02,554 - ubuntuone.SyncDaemon.ActionQueue - INFO - The request 'protocol_version' finished OK.
2014-02-20 20:45:02,859 - ubuntuone.SyncDaemon.ActionQueue - INFO - The request 'caps_raising_if_not_accepted' finished OK.
2014-02-20 20:45:03,099 - ubuntuone.SyncDaemon.ActionQueue - INFO - The request 'caps_raising_if_not_accepted' finished OK.
2014-02-20 20:45:03,476 - ubuntuone.SyncDaemon.ActionQueue - INFO - The request 'oauth_authenticate' failed with the error: TRY_AGAIN and was handled with the event: SYS_SERVER_ERROR
2014-02-20 20:45:03,477 - ubuntuone.SyncDaemon.StorageClient - INFO - Connection lost, reason: [Failure instance: Traceback (failure with no frames): <class 'twisted.internet.error.ConnectionLost'>: Connection to the other side was lost in a non-clean fashion: Connection lost.

My status.log has:

2014-02-20 21:16:38,087 - ubuntuone.status - DEBUG - server connection made
2014-02-20 21:16:38,237 - ubuntuone.status - DEBUG - notification shown: '2014-02-19.tex' and 23 other files are being uploaded to your personal cloud.
2014-02-20 21:17:28,500 - ubuntuone.status - DEBUG - server connection lost
2014-02-20 21:19:28,632 - ubuntuone.status - DEBUG - server connection made
2014-02-20 21:19:28,724 - ubuntuone.status - DEBUG - notification shown: '2014-02-19.tex' and 23 other files are being uploaded to your personal cloud.
2014-02-20 21:20:18,993 - ubuntuone.status - DEBUG - server connection lost

Same symptoms on a fully up-to-date Ubuntu 13.10 64-bit install. Logs show same error messages. Toast notifications keep appearing suggesting that files are being uploaded to Ubuntu One, but nothing is ever uploaded. u1sdtool --quit and u1sdtool --restart work as expected, but the daemon never progresses past the authentication stage.

Incidentally, an Ubuntu One client running on an up-to-date OS X Mavericks install is also exhibiting similar symptoms and refusing to connect, again suggesting a server-side error. Could someone at Canonical possibly update the Ubuntu One Status page, 'cos at the moment it's full of 'status messages' dating from between 2011 and 2013 but absolutely nothing on the file-sync side of things.

As of the time of this comment, the remote server issue appears to have been resolved: Ubuntu One is now passing the authentication stage and synchronising files as normal. Status page still has no information on the outage, though, which is disappointing.

Changed in ubuntuone-client:
status: New → Confirmed
oCean (alex.harkema) wrote :

I'm also on a fully up-to-date Ubuntu 13.10 64-bit install. I still experience the syncing issues (files).
Have a waiting list of about 50 operations (u1sdtool --waiting)

oCean (alex.harkema) wrote :

Also, from Android client, file operations file.
For example: could not delete node. Service temporarily unavailable

Allard Pruim (allardpruim) wrote :

I also have a problem with syncing. Downloading a file to my system works but it's very slow, uploading doesn't seem to work at all. My Ubuntu One keeps saying that it is syncing files but nothing happens. I'm running Ubuntu 12.04.4 LTS

Jane Atkinson (irihapeti) wrote :

Also can't sync files from PC to server (have nothing needing syncing from server to PC). Ubuntu One client says File Sync in Progress but nothing ever happens. syncdaemon.log has multiple upload failure messages.

I'm running Xubuntu 14.04

arch-linux-desk com.ubuntuone.SyncDaemon[1028]: DEBUG:ubuntuone.status:server connection made
arch-linux-desk com.ubuntuone.SyncDaemon[1028]: DEBUG:ubuntuone.status:notification shown: 'jhonny.kdb' and 1 other ...loud.
arch-linux-desk com.ubuntuone.SyncDaemon[1028]: DEBUG:ubuntuone.status:server connection lost

Same issue from
Linux arch-linux-desk 3.13.4-1-ARCH #1 SMP PREEMPT Thu Feb 20 23:54:52 CET 2014 x86_64 GNU/Linux

Desktop Manager:
GNOME Desktop Manager.

Well i have the same error. I don't know if I did anything wrong along the way.
Ubuntu Gnome 13.10 64b. I installed the package 'ubuntuone-control-panel-qt', signed in successfully but cannot sync my files.

dentaku (koba2003) wrote :

Same problem here. Xubuntu 12.04 32b + Android App.
Since friday File Sync doesn't work anymore.
I also can't upload or delete files or create folders via the ubuntuone web interface.

Torsten Franz (torsten.franz) wrote :

Same with Ubuntu 12.04 + Android App and with the webinterface.

I'm attaching this screenshot taken just now, this came up while trying to see if UbuntuOne is working or not through the web.

Guess we just need to wait until this is resolved. I'd be glad to help in any possible way.

Jane Atkinson (irihapeti) wrote :

On both my Xubuntu 14.04 systems, the behaviour has changed in the last 24 hours or so. It originally was stuck on Uploading; now it starts uploading but then disconnects, reconnects for less than a second, disconnects, and so on.

A Windows client is showing exactly the same behaviour.

Peter Lehoczký (betatester07) wrote :

Same problem here, Ubuntu 13.10 64bit. Must be some server issues. Seems like many people had problems in past days: http://askubuntu.com/questions/424810/ubuntu-one-suddenly-fails-to-sync/425281#425281 but I don't understand why there is no official information about outage or server problems from Ubuntu One team!!

Mine seems to be working perfectly now. Just a matter of time.

William Arcand (warcand) wrote :

I've been seeing the problem today as well. I happened to be setting up a MacOS client. Running latest client. Looks like the issues are server side. Hopefully it gets resolved soon.

Still seeing issue as of :
02:46 UTC Monday, February 24, 2014

I reported this on 2/16/2014 on the Ubuntu Forum. Mine says it is trying to upload main.c and 6 other programs and it does this every 20 seconds or so. Think this may be a virus or something. Be kind I am still pretty much a newbie here.

Jane Atkinson (irihapeti) wrote :

Both my Xubuntu machines seem to be working properly again. I did have to restart the syncdaemon on the desktop to get it to play properly, and it seemed to take a connection or two to sort out the glitches (presumably) left over from the earlier state.

Still nothing mentioned on the website, which I think is an unfortunate oversight.

dentaku (koba2003) wrote :

Seems to be working again here too - Xubuntu 12.04 + Android App.

I agree 100% with Jane, no announcement or even a twitter post by canonical when your service is down for 3 days, doesn't look very professional to me...

David B Yentzen (dbyentzen) wrote :

I am still getting a file sync error. I am using Ubuntu 12.04.4. File sync error started appearing intermittently shortly before the 12.04.4 upgrade and is permanent after I upgraded to 12.04.4.

oCean (alex.harkema) wrote :

At this point file sync is working again (both Xubuntu 13.10 and Android client).
Wait queue is empty

Tugkan Batu (tugkanbatu) wrote :

I am on Ubuntu 13.10. My U1 client reverted back to "auth failed" error, after it has been getting stuck on sync for a while. So, I have not seen any improvement yet.

Benjamin Kerensa (bkerensa) wrote :

Filing a bug for a service interruption is not the appropriate way to get help. Please reach out to the Ubuntu One team.

Changed in ubuntuone-client:
status: Confirmed → Invalid
Changed in ubuntuone-filesync:
status: New → Invalid
Peter Lehoczký (betatester07) wrote :

Where can we reach out Ubuntu One team? And how can we know for sure, that it is a service interruption, when U1 doesnt say anything publicly?

Benjamin Kerensa (bkerensa) wrote :

Peter,

You can reach out to the Ubuntu One team here https://one.ubuntu.com/help/ from the looks of the logs you provided it seems like the connection with Ubuntu One Servers it not stable.

I have the same problem, but my problem is very large, I lost my files and I can not recall. I have put several tickets since February 12 but not receive a response.

They can recover my files?

Tugkan Batu (tugkanbatu) wrote :

Following the instructions in the following page solved my "auhentication" problem in Ubuntu One.

https://one.ubuntu.com/help/faq/what..._failed-state/

Basically, start seahorse and delete all Ubuntu One related stored passwords (perhaps not all is needed, but I deleted all). Reconnect. You will be asked for usename/password.

Hopefully, this helps for some others who still are having problems.

It would have been good to know what caused the problem, because I have not had made any changes when the problem had occurred.

Cheers.
tuuk

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments